Package ch.qos.logback.core.recovery

# Class RecoveryCoordinator

java.lang.Object
ch.qos.logback.core.recovery.RecoveryCoordinator

public class RecoveryCoordinator extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`BACKOFF_COEFFICIENT_MIN`
`static final long`
`BACKOFF_MULTIPLIER`

## Constructor Summary

Constructors
Constructor
Description
`RecoveryCoordinator()`
`RecoveryCoordinator(long currentTime)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isTooSoon()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BACKOFF_COEFFICIENT_MIN

public static final long BACKOFF_COEFFICIENT_MIN

See Also:
  - Constant Field Values

### BACKOFF_MULTIPLIER

public static final long BACKOFF_MULTIPLIER

See Also:
  - Constant Field Values

## Constructor Details

### RecoveryCoordinator

public RecoveryCoordinator()

### RecoveryCoordinator

public RecoveryCoordinator(long currentTime)

## Method Details

### isTooSoon

public boolean isTooSoon()